Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe.iterator
Class FileUriIterator

    java.lang.Object
      cc.mallet.pipe.iterator.FileIterator
          cc.mallet.pipe.iterator.FileUriIterator

All Implemented Interfaces:
  java.util.Iterator<Instance>

    public class FileUriIterator

extends FileIterator

Field Summary

Fields inherited from class cc.mallet.pipe.iterator.FileIterator
`ALL_DIRECTORIES, FIRST_DIRECTORY, LAST_DIRECTORY, sep, STARTING_DIRECTORIES`

Constructor Summary
`FileUriIterator(java.io.File[] directories, java.io.FileFilter filter, java.util.regex.Pattern targetPattern)`
`FileUriIterator(java.io.File[] directories, java.util.regex.Pattern targetPattern)`
`FileUriIterator(java.io.File directory, java.io.FileFilter filter, java.util.regex.Pattern targetPattern)`
`FileUriIterator(java.io.File directory, java.util.regex.Pattern targetPattern)`

Method Summary
`Instance` | `next()`

Methods inherited from class cc.mallet.pipe.iterator.FileIterator
`getFileArray, hasNext, nextFile, remove, stringArray2FileArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUriIterator

    public FileUriIterator(java.io.File[] directories,
                           java.io.FileFilter filter,
                           java.util.regex.Pattern targetPattern)

### FileUriIterator

    public FileUriIterator(java.io.File directory,
                           java.io.FileFilter filter,
                           java.util.regex.Pattern targetPattern)

### FileUriIterator

    public FileUriIterator(java.io.File[] directories,
                           java.util.regex.Pattern targetPattern)

### FileUriIterator

    public FileUriIterator(java.io.File directory,
                           java.util.regex.Pattern targetPattern)

Method Detail

### next

    public Instance next()

  Specified by:
    `next` in interface `java.util.Iterator<Instance>`
  Overrides:
    `next` in class `FileIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD